Subject: bug#13112: 24.2.90; The cygw32 build should disable X11

From: Ken Brown <[email-masked]>
Date: Fri, 07 Dec 2012 09:45:33 -0500

On 12/7/2012 8:04 AM, Ken Brown wrote:
> The cygw32 build of emacs tries to use many X11 features if the builder
> has the appropriate development packages installed.  For example,
> HAVE_GSETTINGS and HAVE_GCONF will be defined.  This causes serious
> problems, as detailed starting at
>
>    http://cygwin.com/ml/cygwin/2012-12/msg00070.html

A workaround is to add the configure options --with-x=no and 
--without-xim, but it shouldn't be hard to modify the configure script 
so that these options are implied by --with-w32.  I don't know enough 
about autoconf to immediately see how to do that.

Ken